#!/bin/sh

( cd etc/X11/wdm ; rm -rf authdir )
( cd etc/X11/wdm ; ln -sf ../../../var/lib/wdm authdir )

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/wdm.conf.new
config etc/rc.d/rc.wdm.new

if [ ! -r etc/X11/wdm/wdm-config ] ; then
 echo ""
 echo -n "Running ConfigureWDM..."
 ( cd etc/X11/wdm ; . ./ConfigureWDM )
 chmod 600 etc/X11/wdm/wdm-config
 echo "Done."
 echo "Default settings are quite strict. Be sure to check the"
 echo "configuration in /etc/wdm.conf. If needed, edit the file"
 echo "and then run /etc/X11/wdm/ConfigureWDM to update all configuration files."
 sleep 3
fi

if ! [[ `grep 'exec' /etc/rc.d/rc.local |grep wdm |grep -v '#'` ]] ; then
 echo ""
 echo "Adding an entry for rc.wdm to rc.local..."
 echo "if [ -x /etc/rc.d/rc.wdm ]; then" >> /etc/rc.d/rc.local
 echo " exec /etc/rc.d/rc.wdm" >> /etc/rc.d/rc.local
 echo "fi" >> /etc/rc.d/rc.local
 echo "" >> /etc/rc.d/rc.local
 echo ""
 echo "Make /etc/rc.d/rc.wdm executable to activate WDM at boot time."
 sleep 3
fi